- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# ip_addr Struct Reference

`#include <ip_addr.h>`

## Public Member Functions
| PACK_STRUCT_FIELD (uInt32 addr)
## Data Fields
u32_t | addr [4]

## Detailed Description

Definition at line 45 of file ip_addr.h.

## Member Function Documentation

ip_addr::PACK_STRUCT_FIELD | ( | uInt32 | addr | ) |

## Field Documentation

u32_t ip_addr::addr[4]

Definition at line 43 of file ip_addr.h.

Referenced by lwip_accept(), lwip_bind(), lwip_connect(), lwip_recvfrom(), lwip_sendto(), and udpecho_thread().

The documentation for this struct was generated from the following files:

- src/sys/include/net/ipv4/ip_addr.h
- src/sys/include/net/ipv6/ip_addr.h